#!/bin/sh

maj=$(cat ./VERSION.txt | cut -f1 -d.)
min=$(cat ./VERSION.txt | cut -f2 -d.)
rev=$(cat ./VERSION.txt | cut -f3 -d.)

gen_version() {
	[ -d ../.git ] && {
		res=$(git rev-parse --verify -q HEAD)
		[ -n "$res" ] && {
			xtra=-$(echo $res | cut -c -8)
			rev=$rev$xtra
		}

		res=$(git diff-index --quiet HEAD)
		[ "$?" != "0" ] && rev=$rev"-dirty"
	}

	echo "-DLIBWIFI_MAJOR=$maj -DLIBWIFI_MINOR=$min -DLIBWIFI_REV=$rev"
}

gen_version
