#ifndef WPA_CLI_H
#define WPA_CLI_H

/** struct bss_transition_params */
struct bss_transition_params {
	uint8_t valid_int;
	uint8_t abridged;
	uint8_t pref;
	uint8_t disassoc_imminent;
	uint16_t bss_term;
	uint16_t disassoc_timer;
};

int hostapd_cli_get_ssid(const char *ifname, char *ssid, size_t ssid_size);
int hostapd_cli_iface_ap_info(const char *ifname, struct wifi_ap *ap);
int hostapd_cli_iface_get_assoclist(const char *ifname, uint8_t *stas, int *num_stas);
int hostapd_cli_iface_get_sta_info(const char *ifname, uint8_t *addr, struct wifi_sta *info);
int hostapd_cli_iface_add_neighbor(const char *ifname, struct nbr *nbr, size_t nbr_size);
int hostapd_cli_iface_del_neighbor(const char *ifname, unsigned char *bssid);
int hostapd_cli_iface_get_neighbor_list(const char *ifname, struct nbr *nbrs, int *nr);
int hostapd_cli_iface_start_wps(const char *ifname, struct wps_param wps);
int hostapd_cli_iface_stop_wps(const char *ifname);
int hostapd_cli_iface_get_wps_status(const char *ifname, enum wps_status *s);
int hostapd_cli_iface_set_wps_ap_pin(const char *ifname, unsigned long pin);
int hostapd_cli_iface_get_wps_ap_pin(const char *ifname, unsigned long *pin);
int hostapd_cli_disconnect_sta(const char *ifname, uint8_t *sta, uint16_t reason);
int hostapd_cli_sta_disconnect_ap(const char *ifname, uint32_t reason);
int hostapd_cli_iface_req_beacon(const char *ifname, unsigned char *sta,
                                 struct rrm_measurement_beacon_request *req,
                                 size_t req_size);

int hostapd_cli_iface_req_bss_transition(const char *ifname, unsigned char *sta,
					 int bsss_nr, unsigned char *bsss,
					 struct bss_transition_params *params);
int hostapd_cli_iface_add_vendor_ie(const char *ifname, struct vendor_iereq *req);
int hostapd_cli_iface_del_vendor_ie(const char *ifname, struct vendor_iereq *req);
int hostapd_cli_is_wds_sta(const char *ifname, uint8_t *sta_mac, char *ifname_wds,
			   size_t ifname_max);
int hostapd_ubus_iface_monitor_sta(const char *ifname, uint8_t *sta, struct wifi_monsta_config *cfg);
int hostapd_ubus_iface_get_monitor_sta(const char *ifname, uint8_t *sta, struct wifi_monsta *mon);
int hostapd_ubus_iface_get_monitor_stas(const char *ifname, struct wifi_monsta *stas, int *num);
int hostapd_ubus_iface_subscribe_frame(const char *ifname, uint8_t type, uint8_t stype);
int hostapd_ubus_iface_unsubscribe_frame(const char *ifname, uint8_t type, uint8_t stype);
int hostapd_cli_iface_chan_switch(const char *ifname, struct chan_switch_param *param);
#endif /* WPA_CLI_H */
